#!/bin/sh

SWNAME=fv-4.3
P_ARCH=i386
P_VER=P1
MANDIR=/usr/share/man
DOCDIR=/usr/share/doc
INFODIR=/usr/share/info

SRCFILE=fv43_src.tar.gz
PREFIX=/usr/share

rm -rf headas
tar zxf $SRCFILE
patch -p0 < scrlbar.patch

ARCH=`./headas/BUILD_DIR/config.guess`

cd headas
H_DIR=`pwd`
cd BUILD_DIR
CFLAGS="-O2" CXXFLAGS="-O2" FFLAGS="-O2" ./configure 
#--host=$ARCH --build=$ARCH --exec-prefix=$H_DIR/$ARCH
make
make install
cd ..
cd ..
tar zcf foo.tgz `find headas|grep "$ARCH"'[^/]*$'`

rm -rf pkg
mkdir pkg

cd pkg

mkdir -p ./$PREFIX/headas

tar zxf ../foo.tgz -C ./$PREFIX

rm -rf `find ./$PREFIX/headas | grep 'BLD$'`
#rm -rf `find ./$PREFIX/headas | grep 'BUILD_DIR$'`

rm ../foo.tgz

FV_VAL=`find .|grep "^\.${PREFIX}/headas/$ARCH"'[^/]*$'|cut -b 2-`

mkdir -p ./usr/X11R6/bin

cat <<EOF > ./usr/X11R6/bin/fv
#!/bin/sh

FV=$FV_VAL
export FV
\$FV/bin/fv \$@

EOF
chmod 755 ./usr/X11R6/bin/fv

mkdir -p ./$DOCDIR/$SWNAME
cp -p ../PlamoBuild.sh ./$DOCDIR/$SWNAME/.
cp -p ../scrlbar.patch ./$DOCDIR/$SWNAME/.

chown -R root:root usr 1> /dev/null 2> /dev/null

#tar zcf fv.tgz .$PREFIX
/sbin/makepkg ${SWNAME}-${P_ARCH}-${P_VER}.tgz <<EOF 1> /dev/null 2> /dev/null
y
y
EOF

