#--------------------------------------------------------
# Modification History:
#
# Created by Ziqin Pan, Feb 18, 2004
# to support selection of row from expression
#
#--------------------------------------------------------

class FitsSelCalculator {
    inherit FitsBaseCalculator

    constructor {theFather theCols fRow nRows} {
        set fRow_ $fRow
        set nRows_ $nRows
        FitsBaseCalculator::constructor $theFather $theCols
    } {
        $itk_component(calculate) configure -text "Select" \
            -command [code $this selectCmd]
        $itk_component(help) configure -command {hhelp selectRows}
        $itk_component(selonlyCheckButton) configure -text "AND with previous selected rows"  \
              -variable [scope _calcseland] \
              -command [code $this ORoff]


    }
    destructor {}

    private variable fRow_
    private variable nRows_

    private method setResult {}
    private method addOrCheckButton {}
    private method selectCmd {}
    private method ANDoff {}
    private method ORoff {}
    
}

body FitsSelCalculator::ANDoff {  } {

    if { $_calcselor == 1} {
          $itk_component(selonlyCheckButton) deselect
    }
}
body FitsSelCalculator::ORoff {  } {

    if { $_calcseland == 1} {
          $itk_component(orCheckButton) deselect
    }
}
         


body FitsSelCalculator::selectCmd {  } {

   if { [regexp {[^0-9, -]} $resultFormula($this)] } {
      setWatchCursor [namespace tail $this] \
	    [code $_father selRowsWithCondition $resultFormula($this) $fRow_ $nRows_ $_calcseland $_calcselor]
   } else {
      $_father selRowsFromList $resultFormula($this) $_calcseland $_calcselor
   }
}

body FitsSelCalculator::addOrCheckButton {} {
    
    itk_component add orCheckButton {
	checkbutton  $itk_interior.orCheckButton -text "OR with previous selected rows  " \
              -variable [scope _calcselor] \
              -command [code $this ANDoff]
              
    }
}

body FitsSelCalculator::setResult {} {
    
    itk_component add resultCol {
	label  $itk_interior.resultCol -text "Rows to select or condition:"
    }
}
