proc gPowCmdsClass { args } {
   return [uplevel #0 PowCmdsClass #auto $args]
}

class PowCmdsClass {

   constructor {} {}
   destructor {}

   public {
        method helpPage   { args }
        method binFactorTool { args }
        method regionTool { args }
        method regions    { args }
        method regionName { args }
        method xrangeTool { args }
        method xranges    { args }
        method xrangeName { args }
        method add       { objType objName }
        method array     { dchan dName {bitpix "LIST"} {byteOrder ""} }
        method axes      { xscale yscale }
        method bounds    { args }
        method calculate { newData args }
        method colormap  { args }
        method close     { args }
        method create    { objType objNam args }
        method contour   { args }
        method cursor    { }
        method curve     { args }
        method delete    { args }
        method draw      { args }
        method graph     { args }
        method init      { ncolors colorMode }
        method position  { args }
        method refresh   { args }
        method remote    { args }
        method remove    { args }
        method scope     { {dx ""} {dy ""} }
        method select    { obj name }
        method size      { args }
        method version   { }
        method wcs       { obj wcs }
   }
}

body PowCmdsClass::destructor {} {
}

body PowCmdsClass::helpPage { args } {
     return [eval ::powCmds::helpPage $args]
}

body PowCmdsClass::regionName { args } {
     return [eval ::powCmds::regionName $args]
}

body PowCmdsClass::regions { args } {
     return [eval ::powCmds::regions $args]
}

body PowCmdsClass::binFactorTool { args } {
     return [eval ::powCmds::binFactorTool $args]
}

body PowCmdsClass::regionTool { args } {
     return [eval ::powCmds::regionTool $args]
}

body PowCmdsClass::xrangeName { args } {
     return [eval ::powCmds::xrangeName $args]
}

body PowCmdsClass::xranges { args } {
     return [eval ::powCmds::xranges $args]
}

body PowCmdsClass::xrangeTool { args } {
     return [eval ::powCmds::xrangeTool $args]
}

body PowCmdsClass::add       { objType objName } {
     return [eval ::powCmds::add $objType $objName]
}

body PowCmdsClass::array     { dchan dName {bitpix "LIST"} {byteOrder ""} } {
     return [eval ::powCmds::array $dchan $dName $bitpix $byteOrder ]
}

body PowCmdsClass::axes      { xscale yscale } {
     return [eval ::powCmds::axes $xcale $ycale]
}

body PowCmdsClass::bounds    { args } {
     return [eval ::powCmds::bounds $args]
}

body PowCmdsClass::calculate { newData args } {
     return [eval ::powCmds::calculate $newData $args]
}

body PowCmdsClass::colormap  { args } {
     return [eval ::powCmds::colormap $args]
}

body PowCmdsClass::close     { args } {
     return [eval ::powCmds::close $args]
}

body PowCmdsClass::create    { objType objName args } {
     return [eval ::powCmds::create $objType $objName $args]
}

body PowCmdsClass::contour   { args } {
     return [eval ::powCmds::contour $args]
}

body PowCmdsClass::cursor    { } {
     return [eval ::powCmds::cursor]
}

body PowCmdsClass::curve     { args } {
     return [eval ::powCmds::curve $args]
}

body PowCmdsClass::delete    { args } {
     return [eval ::powCmds::delete $args]
}

body PowCmdsClass::draw      { args } {
     return [eval ::powCmds::draw $args]
}

body PowCmdsClass::graph     { args } {

     set errorFlag [ catch {
         set returnValue [eval ::powCmds::graph $args]
         eval ::powCmds::scope 0
     } err ]

     if { $errorFlag } {
        return $err
     }
     return $returnValue
}

body PowCmdsClass::init      { ncolors colorMode } {
     return [eval ::powCmds::init $ncolors $colorMode]
}

body PowCmdsClass::position  { args } {
     return [eval ::powCmds::position $args]
}

body PowCmdsClass::refresh   { args } {
     return [eval ::powCmds::refresh $args]
}

body PowCmdsClass::remote    { args } {
     return [eval ::powCmds::remote $args]
}

body PowCmdsClass::remove    { args } {
     return [eval ::powCmds::remove $args]
}

body PowCmdsClass::scope     { {dx ""} {dy ""} } {
     return [eval ::powCmds::scope $dx $dy]
}

body PowCmdsClass::select    { obj name } {
     return [eval ::powCmds::select $obj $name]
}

body PowCmdsClass::size      { args } {
     return [eval ::powCmds::size $args]
}

body PowCmdsClass::version   { } {
     return [eval ::powCmds::version]
}

body PowCmdsClass::wcs       { obj {wcs} } {
     set wcsList {}
     lappend wcsList $wcs
     return [eval ::powCmds::wcs $obj $wcsList]
}
